Description

Associated revisions

Revision 403 - 03/20/2018 01:02 AM - lukemurphey

Making setup page work even if no default stanza exists

Reference #2228

History

#1 - 03/17/2018 12:06 AM - Luke Murphey
- Status changed from New to In Progress

- % Done changed from 0 to 40

#2 - 03/17/2018 12:09 AM - Luke Murphey

Trying to get Backbone to create the default stanza if it doesn't exist.

1. Loading _new and then saving to _new
1. Gets an error saying debug is not supported
2. Not loading _new and then saving to _new
1. Argument "proxy_password" is not supported by this handler.

#3 - 03/19/2018 05:18 AM - Luke Murphey

Questions:

e Where is the "Argument is not supported by this handler." message coming from
o | don't see anything in the RestHandler base class
o This is coming before the REST endpoint runs
o existing stanzas can be edited
¢ Will setting no properties work?
o Yes it does
e |s execute being called for the create call?
o No, it is being skipped somehow
#4 - 03/19/2018 07:07 PM - Luke Murphey

http://docs.splunk.com/Documentation/Splunk/7.0.2/Admin/Restmapconf

#5 - 03/19/2018 08:01 PM - Luke Murphey

This is weird

The following works:

this.website_monitoring_configuration = new WebsiteMonitoringConfiguration ({
user: 'nobody',
app: 'website_monitoring'

1)

this.website_monitoring_configuration.save ({}, {
'url' : '/en-US/splunkd/servicesNS/nobody/website_monitoring/admin/website_monitoring/default'

i

This does not:

this.website_monitoring_configuration = new WebsiteMonitoringConfiguration ({
user: 'nobody',
app: 'website_monitoring'

1)

this.website_monitoring_configuration.save();

#6 - 03/20/2018 01:03 AM - Luke Murphey
- Status changed from In Progress to Closed

- % Done changed from 40 to 100

#7 - 03/21/2018 06:54 PM - Luke Murphey

- Target version changed from 2.6.3 to 2.7
